%define upstream_name    Hash-Merge
%define upstream_version 0.302

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Merges arbitrarily deep hashes into a single hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone::Choose) >= 0.8.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Hash::Merge merges two arbitrarily deep hashes into a single hash. That is,
at any level, it will add non-conflicting key-value pairs from one hash to
the other, and follows a set of specific rules when there are key value
conflicts (as outlined below). The hash is followed recursively, so that
deeply nested hashes that are at the same level will be merged when the
parent hashes are merged. *Please note that self-referencing hashes, or
recursive references, are not handled well by this method.*

Values in hashes are considered to be either ARRAY references, HASH
references, or otherwise are treated as SCALARs. By default, the data
passed to the merge function will be cloned using the Clone module;
however, if necessary, this behavior can be changed to use as many of the
original values as possible. (See 'set_clone_behavior').

Because there are a number of possible ways that one may want to merge
values when keys are conflicting, Hash::Merge provides several preset
methods for your convenience, as well as a way to define you own. These are
(currently):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.302.0-3.mga10
+ Revision: 2206450
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.302.0-2.mga9
+ Revision: 1812995
- Mageia 9 Mass Rebuild

* Sat Aug 01 2020 tv <tv> 0.302.0-1.mga8
+ Revision: 1610094
- update to 0.302

* Fri Jul 10 2020 tv <tv> 0.301.0-1.mga8
+ Revision: 1603960
- update to 0.301

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-3.mga8
+ Revision: 1504727
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1284160
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 tv <tv> 0.300.0-1.mga7
+ Revision: 1207947
- update to 0.300

* Wed Nov 22 2017 tv <tv> 0.299.0-1.mga7
+ Revision: 1178880
- update to 0.299

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-6.mga6
+ Revision: 1028196
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-5.mga6
+ Revision: 943965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 747805
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.200.0-3.mga5
+ Revision: 733057
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 685026
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 588155
- update to 0.200

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 512218
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 368364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 22447
- cleaning spec file
- imported package perl-Hash-Merge

